Show / Hide Table of Contents

# Struct MemberInfo

Represents information for a member.

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public struct MemberInfo

### Properties

| Improve this Doc View Source

#### Deaf

Gets a value that indicates whether the updated member is deafened by the guild.

##### Declaration

    public bool? Deaf { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Boolean> | `true` if the updated member is deafened (i.e. not permitted to listen to or speak to others) by the guild; otherwise `false`. `null` if this is not mentioned in this entry.

| Improve this Doc View Source

#### Mute

Gets a value that indicates whether the updated member is muted (i.e. not permitted to speak via voice) by the guild.

##### Declaration

    public bool? Mute { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Boolean> | `true` if the updated member is muted by the guild; otherwise `false`. `null` if this is not mentioned in this entry.

| Improve this Doc View Source

#### Nickname

Gets the nickname of the updated member.

##### Declaration

    public string Nickname { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string representing the nickname of the updated member; `null` if none is set.